Gallery Platform API
Reference

Get a session

Returns a single session (occurrence) of a program.

GET
/gallery/programs/{programId}/sessions/{sessionId}

Returns a single session (occurrence) of a program.

Authorization

bearerAuth shows:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: shows:read

Path Parameters

programId*string
sessionId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "id": "string",  "event_id": "string",  "starts_at": "string",  "ends_at": "string",  "capacity": -9007199254740991,  "status": "scheduled",  "recurrence_key": "string",  "position": -9007199254740991,  "created_at": "string",  "updated_at": "string"}